%define version 1.0
%define name kdenetwork 
Name: %{name} 
Summary: K Desktop Environment - Network Applications
Version: %{version}
Release: 1
Source: ftp.kde.org:/pub/kde/stable/1.0pre/distribution/rpm/source/%{name}-%{version}.tar.gz
Group: X11/KDE/Networking
BuildRoot: /tmp/realhot_%{name}
Copyright: GPL
Requires: qt >= 1.33
Packager: Kalle Dalheimer <kalle@kde.org>
Distribution: KDE
Vendor: The KDE Team

%description
Network applications for the K Desktop Environment.

Included with this package are:

kmail: mail reader
knu: network utilities
korn: mailbox monitor tool
kppp: easy PPP connection configuration
krn: news reader

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n kdenetwork-%{version}

%build
export KDEDIR=/opt/kde
./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT
make 

%install
make install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ../file.list.%{name}
